Bug 175467 - [clang] can't install x11-wm/icewm on 10.0-CURRENT
Summary: [clang] can't install x11-wm/icewm on 10.0-CURRENT
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Bryan Drewery
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-21 08:00 UTC by Pavel Timofeev
Modified: 2013-01-25 04:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Timofeev 2013-01-21 08:00:00 UTC
===>  Building for icewm-1.3.7_3
gmake[1]: Entering directory `/usr/ports/x11-wm/icewm/work/icewm-1.3.7/src'
  CXX      ymsgbox.o
  CXX      ydialog.o
  CXX      yurl.o
  CXX      wmsession.o
In file included from wmsession.cc:14:
In file included from ./wmframe.h:4:
In file included from ./ywindow.h:6:
./yarray.h:155:60: error: use of undeclared identifier 'getItem'
        if (index < YArray<DataType *>::getCount()) delete getItem(index);
                                                           ^
                                                           this->
./wmsession.h:44:7: note: in instantiation of member function 'YObjectArray<SMWindowInfo>::remove' requested
      here
class SMWindows {
      ^
./yarray.h:111:21: note: must qualify identifier to find this declaration in dependent base class
    const DataType &getItem(const SizeType index) const {
                    ^
./yarray.h:124:15: note: must qualify identifier to find this declaration in dependent base class
    DataType &getItem(const SizeType index) {
              ^
1 error generated.
gmake[1]: *** [wmsession.o] Error 1
gmake[1]: Leaving directory `/usr/ports/x11-wm/icewm/work/icewm-1.3.7/src'
gmake: *** [base] Error 2
*** [do-build] Error code 1

Stop in /usr/ports/x11-wm/icewm.
*** [build] Error code 1
Comment 1 Edwin Groothuis freebsd_committer 2013-01-21 08:00:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->eadler

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Bryan Drewery freebsd_committer 2013-01-25 02:55:34 UTC
Responsible Changed
From-To: eadler->bdrewery

I'll take it.
Comment 3 dfilter service freebsd_committer 2013-01-25 04:44:41 UTC
Author: bdrewery
Date: Fri Jan 25 04:44:27 2013
New Revision: 310960
URL: http://svnweb.freebsd.org/changeset/ports/310960

Log:
  - Fix build with clang [1]
  - Pet portlint by removing excess whitespace
  
  PR:		ports/175467 [1]
  Reported by:	Pavel Timofeev <timp87@gmail.com> [1]
  Approved by:	eadler (maintainer, implicit)
  Obtained from:	Upstream CVS [1]

Added:
  head/x11-wm/icewm/files/patch-src__apppstatus.cc   (contents, props changed)
  head/x11-wm/icewm/files/patch-src__yarray.h   (contents, props changed)
Modified:
  head/x11-wm/icewm/Makefile

Modified: head/x11-wm/icewm/Makefile
==============================================================================
--- head/x11-wm/icewm/Makefile	Fri Jan 25 04:35:49 2013	(r310959)
+++ head/x11-wm/icewm/Makefile	Fri Jan 25 04:44:27 2013	(r310960)
@@ -30,7 +30,6 @@ OPTIONS_DEFAULT=	XFT XINERAMA ASM BEASTI
 BEASTIE_DESC=	Use Beastie'fied startup button
 MENUFIX_DESC=	MenuIconSize fix
 
-
 # Restrict to stable (even) versions, indicated by the second component.
 #PORTSCOUT=	limitw:1,even
 
@@ -39,7 +38,7 @@ MENUFIX_DESC=	MenuIconSize fix
 .if ${PORT_OPTIONS:MGNOME}
 USE_GNOME+=	gnomedesktop libgnomeui
 CONFIGURE_ARGS+=--enable-menus-gnome2
-INSTALL_TARGET=	install 
+INSTALL_TARGET=	install
 PLIST_SUB+=	GNOMEDESKTOP=""
 .else
 PLIST_SUB+=	GNOMEDESKTOP="@comment "

Added: head/x11-wm/icewm/files/patch-src__apppstatus.cc
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-wm/icewm/files/patch-src__apppstatus.cc	Fri Jan 25 04:44:27 2013	(r310960)
@@ -0,0 +1,17 @@
+Fix clang build errors
+
+http://icewm.cvs.sourceforge.net/viewvc/icewm/icewm-1.2/src/apppstatus.cc?r1=1.24.2.1.2.4&r2=1.24.2.1.2.5&pathrev=icewm-1-3-BRANCH
+
+--- src/apppstatus.cc	2009/11/08 19:24:08	1.24.2.1.2.4
++++ src/apppstatus.cc	2010/12/25 15:29:53	1.24.2.1.2.5
+@@ -82,7 +82,9 @@
+ }
+ 
+ NetStatus::~NetStatus() {
+-    delete[] color;
++    delete color[0];
++    delete color[1];
++    delete color[2];
+     delete[] ppp_in;
+     delete[] ppp_out;
+     delete fUpdateTimer;

Added: head/x11-wm/icewm/files/patch-src__yarray.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-wm/icewm/files/patch-src__yarray.h	Fri Jan 25 04:44:27 2013	(r310960)
@@ -0,0 +1,16 @@
+Fix build with clang
+
+http://icewm.cvs.sourceforge.net/viewvc/icewm/icewm-1.2/src/yarray.h?r1=1.5.4.3&r2=1.5.4.4&pathrev=icewm-1-3-BRANCH
+
+--- src/yarray.h	2009/06/01 17:10:07	1.5.4.3
++++ src/yarray.h	2010/12/25 15:29:53	1.5.4.4
+@@ -152,7 +152,8 @@
+     }
+ 
+     virtual void remove(const typename YArray<DataType *>::SizeType index) {
+-        if (index < YArray<DataType *>::getCount()) delete getItem(index);
++        if (index < YArray<DataType *>::getCount())
++             delete YArray<DataType *>::getItem(index);
+         YArray<DataType *>::remove(index);
+     }
+     
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Bryan Drewery freebsd_committer 2013-01-25 04:44:46 UTC
State Changed
From-To: open->closed

Fixed, thanks!